"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadArtifacts = void 0;
const web3_js_1 = require("@solana/web3.js");
const gasless_1 = require("../../gasless");
function loadArtifacts(connection) {
    return __awaiter(this, void 0, void 0, function* () {
        const artifacts = [];
        const _dapps = (yield (0, gasless_1.getGaslessInfo)(connection)).dapps;
        if (_dapps.length > 0) {
            _dapps.forEach((dapp) => {
                artifacts.push({
                    name: dapp.name,
                    programId: new web3_js_1.PublicKey(dapp.programId),
                });
            });
        }
        return artifacts;
    });
}
exports.loadArtifacts = loadArtifacts;
