import { Connection, Transaction, PublicKey } from "@solana/web3.js";
import { GaslessTypes, NetworkConfig, SignedPuzzle, RawSubmitSolution } from "./types";
export declare function getNetwork(connection: Connection): Promise<NetworkConfig>;
export declare function getGaslessInfo(connection: Connection): Promise<{
    feePayer: PublicKey;
    dapps: any;
}>;
export declare function sendToGasless(connection: Connection, signed: Transaction, type: GaslessTypes, reCaptchaToken?: string): Promise<string>;
export declare function getPendingPuzzles(connection: Connection, address: PublicKey): Promise<number>;
export declare function getPuzzle(connection: Connection, address: PublicKey, reCaptchaToken?: string): Promise<SignedPuzzle>;
export declare function postSolution(connection: Connection, rawSolution: RawSubmitSolution, signed: Transaction): Promise<string>;
